Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.registry.basic
Class BasicKernelRegistry

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject
              org.jboss.kernel.plugins.registry.AbstractKernelRegistry
                  org.jboss.kernel.plugins.registry.basic.BasicKernelRegistry

All Implemented Interfaces:
  KernelEventEmitter, KernelObject, KernelRegistry

public class BasicKernelRegistry
extends AbstractKernelRegistry

Basic Kernel registry.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Field Summary
`protected BasicKernelRegistryFactory` | `defaultFactory` The default registry factory

Fields inherited from class org.jboss.kernel.plugins.registry.AbstractKernelRegistry
`factories`

Fields inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`kernel, log`

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL`

Fields inherited from interface org.jboss.kernel.spi.registry.KernelRegistry
`KERNEL_REGISTRY_REGISTERED, KERNEL_REGISTRY_UNREGISTERED`

Constructor Summary
`BasicKernelRegistry()` Create a new basic registry

Method Summary
`void` | `registerEntry(Object name, KernelRegistryEntry entry)` Register an object
`KernelRegistryEntry` | `unregisterEntry(Object name)` Unregister an object

Methods inherited from class org.jboss.kernel.plugins.registry.AbstractKernelRegistry
`addKernelRegistryFactory, containsEntry, getEntry, removeKernelRegistryFactory`

Methods inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`getKernel, setKernel`

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel, setKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Field Detail

### defaultFactory

    protected BasicKernelRegistryFactory defaultFactory

  The default registry factory

Constructor Detail

### BasicKernelRegistry

    public BasicKernelRegistry()
                        throws Exception

  Create a new basic registry

Throws:
  `Exception` - for any error

Method Detail

### registerEntry

    public void registerEntry(Object name,
                              KernelRegistryEntry entry)

  Description copied from interface: `KernelRegistry`
  Register an object

  Parameters:
    `name` - the name of the object
    `entry` - the registration

### unregisterEntry

    public KernelRegistryEntry unregisterEntry(Object name)

  Description copied from interface: `KernelRegistry`
  Unregister an object

  Parameters:
    `name` - the name of the object
  Returns:
    the unregistered entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.